<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:link="http://www.xbrl.org/2003/linkbase">
  <link:roleRef roleURI="https://www.aliorbank.pl/role/BalanceSheet" xlink:type="simple" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#BalanceSheet" />
  <link:roleRef roleURI="https://www.aliorbank.pl/role/StatementOfProfitAndLoss" xlink:type="simple" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#StatementOfProfitAndLoss" />
  <link:roleRef roleURI="https://www.aliorbank.pl/role/StatementOfOtherComprehensiveIncome" xlink:type="simple" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#StatementOfOtherComprehensiveIncome" />
  <link:roleRef roleURI="https://www.aliorbank.pl/role/StatementOfCashFlows" xlink:type="simple" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#StatementOfCashFlows" />
  <link:calculationLink xlink:type="extended" xlink:role="https://www.aliorbank.pl/role/BalanceSheet">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_EquityAndLiabilities" xlink:label="EquityAndLiabilities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_Liabilities" xlink:label="Liabilities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_SubordinatedLiabilities" xlink:label="SubordinatedLiabilities" />
    <link:loc xlink:type="locator" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#Alior_CurrentAndDeferredTaxLiabilities" xlink:label="CurrentAndDeferredTaxLiabilities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_NetDeferredTaxLiabilities" xlink:label="NetDeferredTaxLiabilities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_CurrentTaxLiabilities" xlink:label="CurrentTaxLiabilities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_OtherLiabilities" xlink:label="OtherLiabilities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_Provisions" xlink:label="Provisions" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_DerivativeFinancialLiabilitiesHeldForHedging" xlink:label="DerivativeFinancialLiabilitiesHeldForHedging" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_FinancialLiabilitiesAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading" xlink:label="FinancialLiabilitiesAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading" />
    <link:loc xlink:type="locator" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#Alior_LiabilitiesTowardsCustomers" xlink:label="LiabilitiesTowardsCustomers" />
    <link:loc xlink:type="locator" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#Alior_LiabilitiesTowardsBanks" xlink:label="LiabilitiesTowardsBanks" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_Equity" xlink:label="Equity" />
    <link:loc xlink:type="locator" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#Alior_RetainedEarningsCurrentYearProfitLoss" xlink:label="RetainedEarningsCurrentYearProfitLoss" />
    <link:loc xlink:type="locator" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#Alior_RetainedEarningsPriorYearsProfitsLosses" xlink:label="RetainedEarningsPriorYearsProfitsLosses" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_ReserveOfExchangeDifferencesOnTranslation" xlink:label="ReserveOfExchangeDifferencesOnTranslation" />
    <link:loc xlink:type="locator" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#Alior_OtherCapital" xlink:label="OtherCapital" />
    <link:loc xlink:type="locator" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#Alior_OtherReservesGainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeGainsLossesOnCashFlowHedges" xlink:label="OtherReservesGainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeGainsLossesOnCashFlowHedges" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_StatutoryReserve" xlink:label="StatutoryReserve" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_IssuedCapital" xlink:label="IssuedCapital" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_Assets" xlink:label="Assets" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="CashAndCashEquivalents" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_LoansAndAdvancesToBanks" xlink:label="LoansAndAdvancesToBanks" />
    <link:loc xlink:type="locator" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#Alior_InvestmentFinancialAssets" xlink:label="InvestmentFinancialAssets" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_FinancialAssetsAtFairValueThroughOtherComprehensiveIncome" xlink:label="FinancialAssetsAtFairValueThroughOtherComprehensiveIncome" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_FinancialAssetsAtFairValueThroughProfitOrLoss" xlink:label="FinancialAssetsAtFairValueThroughProfitOrLoss" />
    <link:loc xlink:type="locator" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#Alior_DebtFinancialAssetsMeasuredAtAmortisedCost" xlink:label="DebtFinancialAssetsMeasuredAtAmortisedCost" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_DerivativeFinancialAssetsHeldForHedging" xlink:label="DerivativeFinancialAssetsHeldForHedging" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_LoansAndAdvancesToCustomers" xlink:label="LoansAndAdvancesToCustomers" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_NoncashAssetsPledgedAsCollateralForWhichTransfereeHasRightByContractOrCustomToSellOrRepledgeCollateral" xlink:label="NoncashAssetsPledgedAsCollateralForWhichTransfereeHasRightByContractOrCustomToSellOrRepledgeCollateral" />
    <link:loc xlink:type="locator" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#Alior_PropertyPlantAndEquipmentAndRightOfUseAsset" xlink:label="PropertyPlantAndEquipmentAndRightOfUseAsset" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_IntangibleAssetsAndGoodwill" xlink:label="IntangibleAssetsAndGoodwill" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_InvestmentsInAssociatesAccountedForUsingEquityMethod" xlink:label="InvestmentsInAssociatesAccountedForUsingEquityMethod" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale" xlink:label="NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale" />
    <link:loc xlink:type="locator" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#Alior_CurrentTaxAssetAndNetDeferredTaxAssets" xlink:label="CurrentTaxAssetAndNetDeferredTaxAssets" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_CurrentTaxAssets" xlink:label="CurrentTaxAssets" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_NetDeferredTaxAssets" xlink:label="NetDeferredTaxAssets" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_OtherAssets" xlink:label="OtherAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EquityAndLiabilities" xlink:to="Equity" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EquityAndLiabilities" xlink:to="Liabilities" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Liabilities" xlink:to="LiabilitiesTowardsBanks" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Liabilities" xlink:to="LiabilitiesTowardsCustomers" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Liabilities" xlink:to="FinancialLiabilitiesAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading" order="3" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Liabilities" xlink:to="DerivativeFinancialLiabilitiesHeldForHedging" order="4" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Liabilities" xlink:to="Provisions" order="5" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Liabilities" xlink:to="OtherLiabilities" order="6" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Liabilities" xlink:to="CurrentAndDeferredTaxLiabilities" order="7" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Liabilities" xlink:to="SubordinatedLiabilities" order="8" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentAndDeferredTaxLiabilities" xlink:to="CurrentTaxLiabilities" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentAndDeferredTaxLiabilities" xlink:to="NetDeferredTaxLiabilities" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Equity" xlink:to="IssuedCapital" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Equity" xlink:to="StatutoryReserve" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Equity" xlink:to="OtherReservesGainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeGainsLossesOnCashFlowHedges" order="3" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Equity" xlink:to="OtherCapital" order="4" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Equity" xlink:to="ReserveOfExchangeDifferencesOnTranslation" order="5" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Equity" xlink:to="RetainedEarningsPriorYearsProfitsLosses" order="6" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Equity" xlink:to="RetainedEarningsCurrentYearProfitLoss" order="7" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Assets" xlink:to="OtherAssets" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Assets" xlink:to="CurrentTaxAssetAndNetDeferredTaxAssets" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Assets" xlink:to="NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale" order="3" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Assets" xlink:to="InvestmentsInAssociatesAccountedForUsingEquityMethod" order="4" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Assets" xlink:to="IntangibleAssetsAndGoodwill" order="5" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Assets" xlink:to="PropertyPlantAndEquipmentAndRightOfUseAsset" order="6" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Assets" xlink:to="NoncashAssetsPledgedAsCollateralForWhichTransfereeHasRightByContractOrCustomToSellOrRepledgeCollateral" order="7" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Assets" xlink:to="LoansAndAdvancesToCustomers" order="8" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Assets" xlink:to="DerivativeFinancialAssetsHeldForHedging" order="9" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Assets" xlink:to="InvestmentFinancialAssets" order="10" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Assets" xlink:to="LoansAndAdvancesToBanks" order="11" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Assets" xlink:to="CashAndCashEquivalents" order="12" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="InvestmentFinancialAssets" xlink:to="DebtFinancialAssetsMeasuredAtAmortisedCost" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="InvestmentFinancialAssets" xlink:to="FinancialAssetsAtFairValueThroughProfitOrLoss" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="InvestmentFinancialAssets" xlink:to="FinancialAssetsAtFairValueThroughOtherComprehensiveIncome" order="3" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentTaxAssetAndNetDeferredTaxAssets" xlink:to="NetDeferredTaxAssets" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentTaxAssetAndNetDeferredTaxAssets" xlink:to="CurrentTaxAssets" order="2" weight="1" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="https://www.aliorbank.pl/role/StatementOfProfitAndLoss">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_ProfitLossFromContinuingOperations" xlink:label="ProfitLossFromContinuingOperations" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ProfitLossBeforeTax" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_InterestRevenueExpense" xlink:label="InterestRevenueExpense" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_InterestExpense" xlink:label="InterestExpense" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_InterestRevenueCalculatedUsingEffectiveInterestMethod" xlink:label="InterestRevenueCalculatedUsingEffectiveInterestMethod" />
    <link:loc xlink:type="locator" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#Alior_InterestRevenueForFinancialAssetsMeasuredAtFairValueThroughProfitOrLoss" xlink:label="InterestRevenueForFinancialAssetsMeasuredAtFairValueThroughProfitOrLoss" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_FeeAndCommissionIncomeExpense" xlink:label="FeeAndCommissionIncomeExpense" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_FeeAndCommissionExpense" xlink:label="FeeAndCommissionExpense" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_FeeAndCommissionIncome" xlink:label="FeeAndCommissionIncome" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_RevenueFromDividends" xlink:label="RevenueFromDividends" />
    <link:loc xlink:type="locator" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#Alior_GainsLossesOnFinancialAssetsAtFairValueThroughProfitOrLossAndNetForeignExchangeGainLoss" xlink:label="GainsLossesOnFinancialAssetsAtFairValueThroughProfitOrLossAndNetForeignExchangeGainLoss" />
    <link:loc xlink:type="locator" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#Alior_GainLossArisingFromDerecognitionOfFinancialAssetsNotMeasuredAtFairValueThroughProfitOrLoss" xlink:label="GainLossArisingFromDerecognitionOfFinancialAssetsNotMeasuredAtFairValueThroughProfitOrLoss" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_GainLossArisingFromDerecognitionOfFinancialAssetsMeasuredAtAmortisedCost" xlink:label="GainLossArisingFromDerecognitionOfFinancialAssetsMeasuredAtAmortisedCost" />
    <link:loc xlink:type="locator" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#Alior_GainLossArisingFromDerecognitionOfFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" xlink:label="GainLossArisingFromDerecognitionOfFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_OtherOperatingIncomeExpense" xlink:label="OtherOperatingIncomeExpense" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_MiscellaneousOtherOperatingExpense" xlink:label="MiscellaneousOtherOperatingExpense" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_MiscellaneousOtherOperatingIncome" xlink:label="MiscellaneousOtherOperatingIncome" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_GeneralAndAdministrativeExpense" xlink:label="GeneralAndAdministrativeExpense" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9" xlink:label="ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:label="ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" />
    <link:loc xlink:type="locator" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#Alior_BankingTax" xlink:label="BankingTax" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="IncomeTaxExpenseContinuingOperations" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossFromContinuingOperations" xlink:to="IncomeTaxExpenseContinuingOperations" order="1" weight="-1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossFromContinuingOperations" xlink:to="ProfitLossBeforeTax" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossBeforeTax" xlink:to="BankingTax" order="1" weight="-1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossBeforeTax" xlink:to="ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" order="2" weight="-1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossBeforeTax" xlink:to="ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9" order="3" weight="-1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossBeforeTax" xlink:to="GeneralAndAdministrativeExpense" order="4" weight="-1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossBeforeTax" xlink:to="OtherOperatingIncomeExpense" order="5" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossBeforeTax" xlink:to="GainLossArisingFromDerecognitionOfFinancialAssetsNotMeasuredAtFairValueThroughProfitOrLoss" order="6" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossBeforeTax" xlink:to="GainsLossesOnFinancialAssetsAtFairValueThroughProfitOrLossAndNetForeignExchangeGainLoss" order="7" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossBeforeTax" xlink:to="RevenueFromDividends" order="8" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossBeforeTax" xlink:to="FeeAndCommissionIncomeExpense" order="9" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossBeforeTax" xlink:to="InterestRevenueExpense" order="10" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="InterestRevenueExpense" xlink:to="InterestRevenueForFinancialAssetsMeasuredAtFairValueThroughProfitOrLoss" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="InterestRevenueExpense" xlink:to="InterestRevenueCalculatedUsingEffectiveInterestMethod" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="InterestRevenueExpense" xlink:to="InterestExpense" order="3" weight="-1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="FeeAndCommissionIncomeExpense" xlink:to="FeeAndCommissionIncome" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="FeeAndCommissionIncomeExpense" xlink:to="FeeAndCommissionExpense" order="2" weight="-1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="GainLossArisingFromDerecognitionOfFinancialAssetsNotMeasuredAtFairValueThroughProfitOrLoss" xlink:to="GainLossArisingFromDerecognitionOfFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="GainLossArisingFromDerecognitionOfFinancialAssetsNotMeasuredAtFairValueThroughProfitOrLoss" xlink:to="GainLossArisingFromDerecognitionOfFinancialAssetsMeasuredAtAmortisedCost" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OtherOperatingIncomeExpense" xlink:to="MiscellaneousOtherOperatingIncome" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OtherOperatingIncomeExpense" xlink:to="MiscellaneousOtherOperatingExpense" order="2" weight="-1" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="https://www.aliorbank.pl/role/StatementOfOtherComprehensiveIncome">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ComprehensiveIncome" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_ProfitLossFromContinuingOperations" xlink:label="ProfitLossFromContinuingOperations" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:label="OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" xlink:label="OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" xlink:label="OtherComprehensiveIncomeNetOfTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" xlink:label="OtherComprehensiveIncomeBeforeTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_IncomeTaxRelatingToFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" xlink:label="IncomeTaxRelatingToFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges" xlink:label="OtherComprehensiveIncomeNetOfTaxCashFlowHedges" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxCashFlowHedges" xlink:label="OtherComprehensiveIncomeBeforeTaxCashFlowHedges" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_IncomeTaxRelatingToCashFlowHedgesOfOtherComprehensiveIncome" xlink:label="IncomeTaxRelatingToCashFlowHedgesOfOtherComprehensiveIncome" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ComprehensiveIncome" xlink:to="OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ComprehensiveIncome" xlink:to="ProfitLossFromContinuingOperations" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:to="OtherComprehensiveIncomeNetOfTaxCashFlowHedges" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:to="OtherComprehensiveIncomeNetOfTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:to="OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" order="3" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OtherComprehensiveIncomeNetOfTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" xlink:to="IncomeTaxRelatingToFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" order="1" weight="-1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OtherComprehensiveIncomeNetOfTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" xlink:to="OtherComprehensiveIncomeBeforeTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OtherComprehensiveIncomeNetOfTaxCashFlowHedges" xlink:to="IncomeTaxRelatingToCashFlowHedgesOfOtherComprehensiveIncome" order="1" weight="-1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OtherComprehensiveIncomeNetOfTaxCashFlowHedges" xlink:to="OtherComprehensiveIncomeBeforeTaxCashFlowHedges" order="2" weight="1" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="https://www.aliorbank.pl/role/StatementOfCashFlows">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:label="IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="CashFlowsFromUsedInFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#Alior_CashFlowsFromUsedInFinancingActivitiesOutflows" xlink:label="CashFlowsFromUsedInFinancingActivitiesOutflows" />
    <link:loc xlink:type="locator" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#Alior_RepaymentsOfSubordinatedLiabilitiesPrincipal" xlink:label="RepaymentsOfSubordinatedLiabilitiesPrincipal" />
    <link:loc xlink:type="locator" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#Alior_RepaymentsOfSubordinatedLiabilitiesInterest" xlink:label="RepaymentsOfSubordinatedLiabilitiesInterest" />
    <link:loc xlink:type="locator" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#Alior_LeasePaymentsPrincipal" xlink:label="LeasePaymentsPrincipal" />
    <link:loc xlink:type="locator" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#Alior_LeasePaymentsInterest" xlink:label="LeasePaymentsInterest" />
    <link:loc xlink:type="locator" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#Alior_CashFlowsFromUsedInFinancingActivitiesInflows" xlink:label="CashFlowsFromUsedInFinancingActivitiesInflows" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_ProceedsFromIssueOfOrdinaryShares" xlink:label="ProceedsFromIssueOfOrdinaryShares" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="CashFlowsFromUsedInInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_OutflowsOfCashFromInvestingActivities" xlink:label="OutflowsOfCashFromInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:label="PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:label="PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_PurchaseOfInterestsInAssociates" xlink:label="PurchaseOfInterestsInAssociates" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_InflowsOfCashFromInvestingActivities" xlink:label="InflowsOfCashFromInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:label="ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="CashFlowsFromUsedInOperatingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ProfitLossBeforeTax" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_AdjustmentsForReconcileProfitLoss" xlink:label="AdjustmentsForReconcileProfitLoss" />
    <link:loc xlink:type="locator" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#Alior_AdjustmentForIncreaseDecreaseInLoansAndAdvances" xlink:label="AdjustmentForIncreaseDecreaseInLoansAndAdvances" />
    <link:loc xlink:type="locator" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#Alior_AdjustmentForIncreaseDecreaseInFinancialAssetsAtFairValueThroughOtherComprehensiveIncome" xlink:label="AdjustmentForIncreaseDecreaseInFinancialAssetsAtFairValueThroughOtherComprehensiveIncome" />
    <link:loc xlink:type="locator" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#Alior_AdjustmentForIncreaseDecreaseInFinancialAssetsAtFairValueThroughProfitOrLoss" xlink:label="AdjustmentForIncreaseDecreaseInFinancialAssetsAtFairValueThroughProfitOrLoss" />
    <link:loc xlink:type="locator" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#Alior_AdjustmentForIncreaseDecreaseInFinancialAssetsAtAmortisedCost" xlink:label="AdjustmentForIncreaseDecreaseInFinancialAssetsAtAmortisedCost" />
    <link:loc xlink:type="locator" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#Alior_AdjustmentForIncreaseDecreaseInAssetsPledgedAsCollateral" xlink:label="AdjustmentForIncreaseDecreaseInAssetsPledgedAsCollateral" />
    <link:loc xlink:type="locator" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#Alior_AdjustmentsForDecreaseIncreaseInDerivativeFinancialAssetsHeldForHedging" xlink:label="AdjustmentsForDecreaseIncreaseInDerivativeFinancialAssetsHeldForHedging" />
    <link:loc xlink:type="locator" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#Alior_AdjustmentForDecreaseIncreaseInAssetsHeldForSale" xlink:label="AdjustmentForDecreaseIncreaseInAssetsHeldForSale" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInOtherAssets" xlink:label="AdjustmentsForDecreaseIncreaseInOtherAssets" />
    <link:loc xlink:type="locator" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#Alior_AdjustmentForIncreaseDecreaseInDeposits" xlink:label="AdjustmentForIncreaseDecreaseInDeposits" />
    <link:loc xlink:type="locator" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#Alior_AdjustmentForIncreaseDecreaseInIssuedDebt" xlink:label="AdjustmentForIncreaseDecreaseInIssuedDebt" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInFinancialLiabilitiesHeldForTrading" xlink:label="AdjustmentsForIncreaseDecreaseInFinancialLiabilitiesHeldForTrading" />
    <link:loc xlink:type="locator" xlink:href="259400QHDOZWMJ103294-2021-02-25.xsd#Alior_AdjustmentForIncreaseDecreaseInDerivativeFinancialLiabilitiesHeldForHedging" xlink:label="AdjustmentForIncreaseDecreaseInDerivativeFinancialLiabilitiesHeldForHedging" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:label="AdjustmentsForIncreaseDecreaseInOtherLiabilities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_AdjustmentsForProvisions" xlink:label="AdjustmentsForProvisions" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2019-03-27/full_ifrs/full_ifrs-cor_2019-03-27.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:label="IncomeTaxesPaidRefundClassifiedAsOperatingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="CashFlowsFromUsedInOperatingActivities" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="CashFlowsFromUsedInInvestingActivities" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="CashFlowsFromUsedInFinancingActivities" order="3" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="CashFlowsFromUsedInFinancingActivitiesInflows" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="CashFlowsFromUsedInFinancingActivitiesOutflows" order="2" weight="-1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivitiesOutflows" xlink:to="LeasePaymentsInterest" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivitiesOutflows" xlink:to="LeasePaymentsPrincipal" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivitiesOutflows" xlink:to="RepaymentsOfSubordinatedLiabilitiesInterest" order="3" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivitiesOutflows" xlink:to="RepaymentsOfSubordinatedLiabilitiesPrincipal" order="4" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivitiesInflows" xlink:to="ProceedsFromIssueOfOrdinaryShares" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="InflowsOfCashFromInvestingActivities" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="OutflowsOfCashFromInvestingActivities" order="2" weight="-1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OutflowsOfCashFromInvestingActivities" xlink:to="PurchaseOfInterestsInAssociates" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OutflowsOfCashFromInvestingActivities" xlink:to="PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OutflowsOfCashFromInvestingActivities" xlink:to="PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" order="3" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="InflowsOfCashFromInvestingActivities" xlink:to="ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="IncomeTaxesPaidRefundClassifiedAsOperatingActivities" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForProvisions" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForIncreaseDecreaseInOtherLiabilities" order="3" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentForIncreaseDecreaseInDerivativeFinancialLiabilitiesHeldForHedging" order="4" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForIncreaseDecreaseInFinancialLiabilitiesHeldForTrading" order="5" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentForIncreaseDecreaseInIssuedDebt" order="6" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentForIncreaseDecreaseInDeposits" order="7" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForDecreaseIncreaseInOtherAssets" order="8" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentForDecreaseIncreaseInAssetsHeldForSale" order="9" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForDecreaseIncreaseInDerivativeFinancialAssetsHeldForHedging" order="10" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentForIncreaseDecreaseInAssetsPledgedAsCollateral" order="11" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentForIncreaseDecreaseInFinancialAssetsAtAmortisedCost" order="12" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentForIncreaseDecreaseInFinancialAssetsAtFairValueThroughProfitOrLoss" order="13" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentForIncreaseDecreaseInFinancialAssetsAtFairValueThroughOtherComprehensiveIncome" order="14" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentForIncreaseDecreaseInLoansAndAdvances" order="15" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForReconcileProfitLoss" order="16" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="ProfitLossBeforeTax" order="17" weight="1" />
  </link:calculationLink>
</link:linkbase>